Skip to main content
GET
/
v1
/
unified-timeline
Get unified timeline
curl --request GET \
  --url https://api.prod.getdex.com/v1/unified-timeline/ \
  --header 'Authorization: Bearer <token>'
{
  "error": true,
  "data": {
    "items": [
      {
        "type": "NOTE",
        "date": "<string>",
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>",
          "content": "<string>",
          "type": "<string>",
          "is_pinned": true,
          "created_at": "<string>",
          "updated_at": "<string>"
        }
      }
    ],
    "nextCursor": "<string>",
    "hasMore": true,
    "count": 123,
    "timedOutSources": [
      "notes"
    ]
  }
}

Use cases

  • Display a unified activity feed on the timeline page
  • Show all interactions with a specific contact in one timeline
  • Search across notes and reminders with a single API call
  • Filter timeline to specific source types (e.g., only emails and calendar events)

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Query Parameters

sources
string
contactId
string<uuid>
take
integer
Required range: 1 <= x <= 100
cursor
string
startDate
string
endDate
string
upcoming
boolean
searchQuery
string

Response

Successful response

error
boolean
required
data
object
required